using FishFactoryDataModels.Models;
using System.ComponentModel;

namespace FishFactoryContracts.ViewModels
{
    public class CannedViewModel : ICannedModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string CannedName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IIngredientModel, int)> CannedIngredients
        {
            get;
            set;
        } = new();
    }
}
